#!/usr/bin/env bash

[[ ${BURR_VAGRANT_LOADED:-} -eq 1 ]] && return

ensure_vagrant_is_running() {
    if [[ -z "${running}" ]]; then
        echo "Checking if Vagrant is running..."
        vagrant status --machine-readable | grep -q "corebox,state,running"
        running=$?
        if [[ ${running} -ne 0 ]]; then
            echo "Vagrant isn't running. So let's vagrant up."
            vagrant up
            printf "$(tput setaf 5)If Vagrant loaded successfully then please try running coreinstall again.\n$(tput sgr0)"
            exit
        fi
    fi
}

BURR_VAGRANT_LOADED=1
